"""
Django settings for TKBasdat project.

Generated by 'django-admin startproject' using Django 1.8.2.

For more information on this file, see
https://docs.djangoproject.com/en/1.8/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/1.8/ref/settings/
"""

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
import os
import dj_database_url


BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
PRODUCTION = os.environ.get('DATABASE_URL') is not None


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/1.8/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '4hud&q4om0tsb@6ux$=)r+ojpcdv7jxmr6#hs)x)v+#c6d=ypd'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = ['*']


# Application definition

INSTALLED_APPS = (
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'landingpage',
    'loginpage',
    'admin_page',
    'humas_page',
    'civitas_page',
)

MIDDLEWARE = (
    'django.contrib.sessions.middleware.SessionMiddleware',
    'whitenoise.middleware.WhiteNoiseMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
    'django.middleware.security.SecurityMiddleware',
)

ROOT_URLCONF = 'TKBasdat.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'TKBasdat.wsgi.application'

# Database production


# Database
# https://docs.djangoproject.com/en/1.8/ref/settings/#databases

# DATABASES = {
#     'default': {
#         'ENGINE': 'django.db.backends.sqlite3',
#         'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
#     }
# }

# DATABASES = {
# 'default': {
#   'ENGINE': 'django.db.backends.postgresql',
#   'NAME': 'simui',
#   'USER': 'postgres',
#   'PASSWORD': 'noni98',
#   'HOST': 'localhost',
#   'PORT': '5432',
#   # 'OPTIONS': {
#   #   'options': '-c search_path=SIMUI'
#   #   }
#  }
# }
#

# DATABASES = {
# 'default': {
#   'ENGINE': 'django.db.backends.postgresql_psycopg2',
#   'NAME': 'simui',
#   'USER': 'postgres',
#   'PASSWORD': 'noni98',
#   'HOST': '',
#   'PORT': '',
#   # 'OPTIONS': {
#   #   'options': '-c search_path=SIMUI'
#   #   }
#  }
# }



DATABASES = {
'default': {
 'ENGINE': 'django.db.backends.postgresql',
 'NAME': 'db407',
 'USER': 'db407',
 'PASSWORD': 'yeeG7ais',
 'HOST': 'dbpg.cs.ui.ac.id',
 'PORT': '',
'OPTIONS': {
  'options': '-c search_path=SIMUI'
   }
}
}

if PRODUCTION:
    DATABASES['default'] = dj_database_url.config()
# Internationalization
# https://docs.djangoproject.com/en/1.8/topics/i18n/

LANGUAGE_CODE = 'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True

PROJECT_ROOT = os.path.dirname(os.path.abspath(__file__))

# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/2.1/howto/static-files/

STATICFILES_DIRS = [
    os.path.join(BASE_DIR, "static"),
]

STATIC_ROOT = os.path.join(BASE_DIR, 'staticfiles')
STATIC_URL = '/static/'

STATICFILES_STORAGE = 'whitenoise.storage.CompressedManifestStaticFilesStorage'
